Notification Status


This API helps you check the status of a notify redemption for an active subscription. After the notify redemption is triggered, you can use this API to track its progress. It shows whether the customer has been notified, if the process is still in progress, or if it has been completed.

EnvironmentHTTP MethodAPI
SandboxGEThttps://api-preprod.phonepe.com/apis/pg-sandbox/checkout/v2/order/{merchantOrderId}/status
ProductionGEThttps://api.phonepe.com/apis/pg/checkout/v2/order/{merchantOrderId}/status
Request Headers
Header NameHeader Value
Content-Typeapplication/json
AuthorizationO-Bearer <merchant-auth-token>
Path Parameters
Parameter NameDescription
merchantOrderIdMerchant-generated order ID that was shared during the Redemption Notify API call.
Sample Request in CURL
curl --location 'https://api-preprod.phonepe.com/apis/pg-sandbox/subscriptions/v2/order/MO1709025691805/status?details=true' \
--header 'Accept: application/json' \
--header 'Authorization: O-Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJleHBpcmVzT24iOjE3MTIyNTM2MjU2NDQsIm1lcmNoYW50SWQiOiJWMlNVQlVBVCJ9.7aVzYI_f_77-bBicEcRNuYx093b2wCsgl_WFNkKqAPY'
Sample Response
{
  "orderId": "OMO2604141043461445825945V",
  "state": "NOTIFIED",
  "currency": "INR",
  "amount": 100,
  "expireAt": 1776489226123,
  "paymentFlow": {
    "type": "SUBSCRIPTION_CHECKOUT_REDEMPTION",
    "merchantSubscriptionId": "Sub123",
    "redemptionRetryStrategy": "STANDARD",
    "autoDebit": false,
    "validAfter": 1776230026000,
    "validUpto": 1776489226000,
    "notifiedAt": 1776143626555
  },
  "paymentDetails": []
}
Response Parameters
Parameter NameData TypeDescription
merchantIdStringUnique transaction ID generated by PhonePe Payment Gateway.
merchantOrderIdStringA unique orderId provided by the merchant when creating the order.
orderIdStringUnique order ID generated by PhonePe Payment Gateway.
stateStringFinal state of the order
Possible value:
• NOTIFICATION_IN_PROGRESS
• NOTIFIED
amountLongThe amount provided by the merchant in Paise.
expireAtDateTimeRepresents the time in epoch (milliseconds).
paymentFlowArrayProvides the details of the subscription.
paymentFlow.typeStringThe type should be “SUBSCRIPTION_REDEMPTION“ for redemption-related actions.
paymentFlow.merchantSubscriptionIdStringA unique subscriptionId provided by the merchant to identify and manage the subscription request.
paymentFlow.retryStrategyStringSTANDARD
paymentFlow.maxAmountBooleanIf true, PhonePe will handle the execution process.
paymentFlow.validAfterDateTimeThe start timestamp of the redemption window, provided in milliseconds.
paymentFlow.autoDebitBooleanIf set to true, Indicates whether the redemption is processed automatically.
paymentFlow.validAfterDateTimeStart time (in milliseconds) of the redemption window.
paymentFlow.validUptoDateTimeEnd time (in milliseconds) of the redemption window.
paymentFlow.notifiedAtDateTimeTimestamp (in milliseconds) when the customer was notified about the redemption.
paymentDetailsDateTimeThe timestamp in milliseconds indicating when the customer was notified about the scheduled redemption.
Is this article helpful?